NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.LaminateGlobalLayupMgr Class Reference

Represent the laminate global layup manager which manages all the global layups in the laminate ply-based modeling project More...

Inheritance diagram for NXOpen.CAE.LaminateGlobalLayupMgr:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ButtjointOption { None, Int, String }
 Used to specify the butt joint option More...
 

Public Member Functions

unsafe void AutogroupByMaterials ()
 Create groups for materials More...
 
unsafe void AutogroupLayupsByMaterials (NXOpen.CAE.LaminateGlobalLayup[] layups)
 Create groups for materials used in the selected layup(s) More...
 
unsafe void ComputeZones ()
 Compute zones for all laminate properties in the model. More...
 
unsafe
NXOpen.CAE.FlatPatternsBuilder 
CreateFlatPatternsBuilder ()
 Creates a NXOpen.CAE.FlatPatternsBuilder More...
 
unsafe
NXOpen.CAE.GlobalLayupImportFromPptBuilder 
CreateGlobalLayupImportFromPptBuilder ()
 Creates a NXOpen.CAE.GlobalLayupImportFromPptBuilder More...
 
unsafe
NXOpen.CAE.LaminateExtrudeSetupBuilder 
CreateLaminateExtrudeSetupBuilder (NXOpen.CAE.LaminateExtrudeSetup extrudeSetup)
 Creates a NXOpen.CAE.LaminateExtrudeSetupBuilder More...
 
unsafe
NXOpen.CAE.LaminateFillSetupBuilder 
CreateLaminateFillSetupBuilder (NXOpen.CAE.LaminateExtrudeSetup extrudeSetup)
 Creates a NXOpen.CAE.LaminateFillSetupBuilder More...
 
unsafe
NXOpen.CAE.LaminateImportedLayupBuilder 
CreateLaminateImportedLayupBuilder (NXOpen.CAE.LaminateGlobalLayup globalLayup)
 Creates a NXOpen.CAE.LaminateImportedLayupBuilder More...
 
unsafe
NXOpen.CAE.LaminateImportedPlyBuilder 
CreateLaminateImportedPlyBuilder (NXOpen.CAE.LaminatePly[] plies)
 Creates a NXOpen.CAE.LaminateImportedPlyBuilder More...
 
unsafe
NXOpen.CAE.LaminateImportZonesBuilder 
CreateLaminateImportZonesBuilder ()
 Creates NXOpen.CAE.LaminateImportZonesBuilder More...
 
unsafe
NXOpen.CAE.LaminateMatOrientationBuilder 
CreateLaminateMatOrientationBuilder (NXOpen.CAE.LaminateMatOrientation matOrientation)
 Creates a NXOpen.CAE.LaminateMatOrientationBuilder More...
 
unsafe
NXOpen.CAE.LaminatePlyMaxThicknessVarBuilder 
CreateLaminatePlyMaxThicknessVarBuilder (NXOpen.CAE.LaminatePly[] listOfSelectedPlies)
 Creates a NXOpen.CAE.LaminatePlyMaxThicknessVarBuilder More...
 
unsafe
NXOpen.CAE.LaminateSelectEntitiesBuilder 
CreateLaminateSelectEntitiesBuilder ()
 Creates a NXOpen.CAE.LaminateSelectEntitiesBuilder More...
 
unsafe
NXOpen.CAE.LaminateLayupOffsetBuilder 
CreateLayupOffsetBuilder (NXOpen.CAE.LaminateLayupOffset layupoffset)
 Creates a NXOpen.CAE.LaminateLayupOffsetBuilder More...
 
unsafe
NXOpen.CAE.LaminateDrapingDataBuilder 
CreateMultipleDrapingDataBuilder (NXOpen.CAE.LaminatePly[] plies)
 Creates a NXOpen.CAE.LaminateDrapingDataBuilder More...
 
unsafe
NXOpen.CAE.LaminatePlySectionBuilder 
CreatePlySectionBuilder (NXOpen.CAE.LaminatePlySection plySection)
 Creates NXOpen.CAE.LaminatePlySectionBuilder More...
 
unsafe
NXOpen.CAE.LaminateRelabelPliesBuilder 
CreateRelabelPliesBuilder ()
 Creates NXOpen.CAE.LaminateRelabelPliesBuilder More...
 
unsafe
NXOpen.CAE.LaminateViewDrapingResultsBuilder 
CreateViewDrapingResultsBuilder (NXOpen.CAE.LaminateGlobalLayup globalLayup, NXOpen.CAE.LaminatePly ply)
 Creates a NXOpen.CAE.FlatPatternsBuilder More...
 
unsafe
NXOpen.CAE.ViewLaminateBuilder 
CreateViewLaminateBuilder (NXOpen.CAE.Laminate laminate, int zoneIndex)
 Creates a NXOpen.CAE.ViewLaminateBuilder More...
 
unsafe void Display2dFiberOrientations (string[] plyNames, NXOpen.Matrix4x4 xform)
 Display 2D fiber orientations for all the selected plies. More...
 
unsafe void Display2dFiberOrientations (string[] plyNames, bool[] displayOptions, int[] colors, NXOpen.Matrix4x4 xform)
 Display 2D fiber orientations with options for all the selected plies. More...
 
unsafe void Display3dFiberOrientations (string[] plyNames, bool[] displayOptions, int[] colors, NXOpen.Matrix4x4 xform)
 Display 3D fiber orientations for all the selected plies. More...
 
unsafe void EraseFiberOrientations ()
 Erase all displayed fiber orientations. More...
 
unsafe void ExportDrapingDomainAsGroups ()
 For each NXOpen.CAE.LaminateGlobalLayup in the model, create a group with the draping domain entities More...
 
unsafe void ExportZoneInformation (string csvFilename)
 Export zone information to a CSV file. More...
 
unsafe void ExportZonesAsGroups ()
 For each zone of each NXOpen.CAE.Laminate in the model, create an element group More...
 
unsafe void ExportZonesAsLaminates ()
 For each zone of each NXOpen.CAE.Laminate in the model, create an equivalent laminate physical property More...
 
unsafe void Information ()
 Display global layup manager information More...
 
unsafe void ReimportPlies (NXOpen.CAE.LaminatePly[] plies)
 Reimport all selected plies. More...
 
unsafe void RelinkAllGlobalLayups ()
 Relink all global layups groups More...
 
unsafe void RemoveLayupOffset (int layupOffset)
 A method to remove a layup offset More...
 
unsafe void RemoveMaterialOrientation (int matOrientation)
 A method to remove a material orientation More...
 
unsafe void SetButtjointCompareOption (NXOpen.CAE.LaminateGlobalLayupMgr.ButtjointOption buttJointOption)
 Set the butt-joint options More...
 
unsafe void UpdateDraping ()
 Compute draping for all the plies of all the global layups in the part. More...
 
unsafe void UpdatePlyDraping (NXOpen.CAE.LaminatePly[] plies)
 Compute draping for all the selected plies. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.LaminateLayupOffset 
DefaultLayupOffset [get, set]
 Returns or sets the default layup offset More...
 
unsafe int DefaultMaterialOrientation [get, set]
 Returns or sets the default material orientation More...
 
NXOpen.CAE.LaminateExtrudeSetupCollection ExtrudeSetups [get]
 Collection of laminate extrusion setup More...
 
NXOpen.CAE.LaminateGlobalLayupCollection GlobalLayups [get]
 Collection of managed global layups More...
 
NXOpen.CAE.LaminateLayupOffsetCollection LayupOffsets [get]
 Collection of managed layup offset rules More...
 
NXOpen.CAE.LaminateMatOrientationCollection MatOrientations [get]
 Collection of material orientations More...
 
NXOpen.CAE.LaminatePlySectionCollection PlySections [get]
 Collection of laminate ply section More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represent the laminate global layup manager which manages all the global layups in the laminate ply-based modeling project

To obtain an instance of this class, refer to NXOpen.CAE.BaseFEModel

Created in NX6.0.0

Member Enumeration Documentation

Used to specify the butt joint option

Enumerator
None 

None

Int 

Compare using the int

String 

Compare whole string

Member Function Documentation

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.AutogroupByMaterials ( )
inline

Create groups for materials

Created in NX9.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.AutogroupLayupsByMaterials ( NXOpen.CAE.LaminateGlobalLayup[]  layups)
inline

Create groups for materials used in the selected layup(s)

Created in NX10.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
layups
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ComputeZones ( )
inline

Compute zones for all laminate properties in the model.

Reads the global layups, updates the draping and calculates the zones on the laminate. Existing zones will be overriden.

Created in NX7.5.1

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.FlatPatternsBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateFlatPatternsBuilder ( )
inline

Creates a NXOpen.CAE.FlatPatternsBuilder

Created in NX6.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
unsafe NXOpen.CAE.GlobalLayupImportFromPptBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateGlobalLayupImportFromPptBuilder ( )
inline

Creates a NXOpen.CAE.GlobalLayupImportFromPptBuilder

Created in NX6.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
unsafe NXOpen.CAE.LaminateExtrudeSetupBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateExtrudeSetupBuilder ( NXOpen.CAE.LaminateExtrudeSetup  extrudeSetup)
inline

Creates a NXOpen.CAE.LaminateExtrudeSetupBuilder

Created in NX6.0.4

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
extrudeSetup
Returns
created builder
unsafe NXOpen.CAE.LaminateFillSetupBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateFillSetupBuilder ( NXOpen.CAE.LaminateExtrudeSetup  extrudeSetup)
inline

Creates a NXOpen.CAE.LaminateFillSetupBuilder

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
extrudeSetup
Returns
created builder
unsafe NXOpen.CAE.LaminateImportedLayupBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateImportedLayupBuilder ( NXOpen.CAE.LaminateGlobalLayup  globalLayup)
inline

Creates a NXOpen.CAE.LaminateImportedLayupBuilder

Created in NX6.0.4

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
globalLayup
Returns
created builder
unsafe NXOpen.CAE.LaminateImportedPlyBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateImportedPlyBuilder ( NXOpen.CAE.LaminatePly[]  plies)
inline

Creates a NXOpen.CAE.LaminateImportedPlyBuilder

Created in NX1899.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
pliesA Set of selected plies
Returns
unsafe NXOpen.CAE.LaminateImportZonesBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateImportZonesBuilder ( )
inline

Creates NXOpen.CAE.LaminateImportZonesBuilder

Created in NX10.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
unsafe NXOpen.CAE.LaminateMatOrientationBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateMatOrientationBuilder ( NXOpen.CAE.LaminateMatOrientation  matOrientation)
inline

Creates a NXOpen.CAE.LaminateMatOrientationBuilder

Created in NX7.5.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
matOrientationLaminate Material Orientation
Returns
unsafe NXOpen.CAE.LaminatePlyMaxThicknessVarBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminatePlyMaxThicknessVarBuilder ( NXOpen.CAE.LaminatePly[]  listOfSelectedPlies)
inline

Creates a NXOpen.CAE.LaminatePlyMaxThicknessVarBuilder

Created in NX12.0.1

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
listOfSelectedPlies
Returns
unsafe NXOpen.CAE.LaminateSelectEntitiesBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateSelectEntitiesBuilder ( )
inline

Creates a NXOpen.CAE.LaminateSelectEntitiesBuilder

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
created builder
unsafe NXOpen.CAE.LaminateLayupOffsetBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateLayupOffsetBuilder ( NXOpen.CAE.LaminateLayupOffset  layupoffset)
inline

Creates a NXOpen.CAE.LaminateLayupOffsetBuilder

Created in NX7.5.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
layupoffsetLaminate Layup Offset
Returns
unsafe NXOpen.CAE.LaminateDrapingDataBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateMultipleDrapingDataBuilder ( NXOpen.CAE.LaminatePly[]  plies)
inline

Creates a NXOpen.CAE.LaminateDrapingDataBuilder

Created in NX1872.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
pliesA Set of selected plies
Returns
unsafe NXOpen.CAE.LaminatePlySectionBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreatePlySectionBuilder ( NXOpen.CAE.LaminatePlySection  plySection)
inline

Creates NXOpen.CAE.LaminatePlySectionBuilder

Created in NX1847.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plySection
Returns
unsafe NXOpen.CAE.LaminateRelabelPliesBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateRelabelPliesBuilder ( )
inline

Creates NXOpen.CAE.LaminateRelabelPliesBuilder

Created in NX10.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Returns
unsafe NXOpen.CAE.LaminateViewDrapingResultsBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateViewDrapingResultsBuilder ( NXOpen.CAE.LaminateGlobalLayup  globalLayup,
NXOpen.CAE.LaminatePly  ply 
)
inline

Creates a NXOpen.CAE.FlatPatternsBuilder

Created in NX6.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
globalLayupGlobal Layup
plyPly
Returns
unsafe NXOpen.CAE.ViewLaminateBuilder NXOpen.CAE.LaminateGlobalLayupMgr.CreateViewLaminateBuilder ( NXOpen.CAE.Laminate  laminate,
int  zoneIndex 
)
inline

Creates a NXOpen.CAE.ViewLaminateBuilder

Created in NX6.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
laminateInherited laminate physical
zoneIndexZone index
Returns
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.Display2dFiberOrientations ( string[]  plyNames,
NXOpen.Matrix4x4  xform 
)
inline

Display 2D fiber orientations for all the selected plies.

Created in NX1847.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plyNames
xform
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.Display2dFiberOrientations ( string[]  plyNames,
bool[]  displayOptions,
int[]  colors,
NXOpen.Matrix4x4  xform 
)
inline

Display 2D fiber orientations with options for all the selected plies.

Created in NX1872.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plyNames
displayOptions
colors
xform
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.Display3dFiberOrientations ( string[]  plyNames,
bool[]  displayOptions,
int[]  colors,
NXOpen.Matrix4x4  xform 
)
inline

Display 3D fiber orientations for all the selected plies.

Created in NX1847.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plyNames
displayOptions
colors
xform
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.EraseFiberOrientations ( )
inline

Erase all displayed fiber orientations.

Created in NX1847.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ExportDrapingDomainAsGroups ( )
inline

For each NXOpen.CAE.LaminateGlobalLayup in the model, create a group with the draping domain entities

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ExportZoneInformation ( string  csvFilename)
inline

Export zone information to a CSV file.

Created in NX7.5.1

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
csvFilename
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ExportZonesAsGroups ( )
inline

For each zone of each NXOpen.CAE.Laminate in the model, create an element group

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ExportZonesAsLaminates ( )
inline

For each zone of each NXOpen.CAE.Laminate in the model, create an equivalent laminate physical property

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.Information ( )
inline

Display global layup manager information

Created in NX7.5.1

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.ReimportPlies ( NXOpen.CAE.LaminatePly[]  plies)
inline

Reimport all selected plies.

Created in NX1899.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
pliesA Set of selected plies
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.RelinkAllGlobalLayups ( )
inline

Relink all global layups groups

Created in NX12.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.RemoveLayupOffset ( int  layupOffset)
inline

A method to remove a layup offset

Created in NX7.5.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
layupOffsetthe layup offset to remove
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.RemoveMaterialOrientation ( int  matOrientation)
inline

A method to remove a material orientation

Created in NX7.5.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
matOrientationthe material orientation to remove
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.SetButtjointCompareOption ( NXOpen.CAE.LaminateGlobalLayupMgr.ButtjointOption  buttJointOption)
inline

Set the butt-joint options

Created in NX1872.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
buttJointOption
unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.UpdateDraping ( )
inline

Compute draping for all the plies of all the global layups in the part.

Plies that are already computed wont be recomputed.

Created in NX7.5.1

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe void NXOpen.CAE.LaminateGlobalLayupMgr.UpdatePlyDraping ( NXOpen.CAE.LaminatePly[]  plies)
inline

Compute draping for all the selected plies.

Created in NX10.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
plies

Property Documentation

unsafe NXOpen.CAE.LaminateLayupOffset NXOpen.CAE.LaminateGlobalLayupMgr.DefaultLayupOffset
getset

Returns or sets the default layup offset

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe int NXOpen.CAE.LaminateGlobalLayupMgr.DefaultMaterialOrientation
getset

Returns or sets the default material orientation

Created in NX7.5.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

NXOpen.CAE.LaminateExtrudeSetupCollection NXOpen.CAE.LaminateGlobalLayupMgr.ExtrudeSetups
get

Collection of laminate extrusion setup

Created in NX7.5.0

NXOpen.CAE.LaminateGlobalLayupCollection NXOpen.CAE.LaminateGlobalLayupMgr.GlobalLayups
get

Collection of managed global layups

Created in NX3.0.0

NXOpen.CAE.LaminateLayupOffsetCollection NXOpen.CAE.LaminateGlobalLayupMgr.LayupOffsets
get

Collection of managed layup offset rules

Created in NX7.5.0

NXOpen.CAE.LaminateMatOrientationCollection NXOpen.CAE.LaminateGlobalLayupMgr.MatOrientations
get

Collection of material orientations

Created in NX7.5.0

NXOpen.CAE.LaminatePlySectionCollection NXOpen.CAE.LaminateGlobalLayupMgr.PlySections
get

Collection of laminate ply section

Created in NX1847.0.0

Tag NXOpen.CAE.LaminateGlobalLayupMgr.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.